Page MenuHomePhabricator

Refactor unlink.py / move re-usable parts to framework
Closed, ResolvedPublic

Description

unlink.BaseUnlinkBot is also used by selflink.py; it should be moved to pywikibot.specialbots.py.

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Jun 19 2017, 8:08 PM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJun 19 2017, 8:08 PM
Xqt triaged this task as Low priority.Jun 19 2017, 8:08 PM

Change 359985 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [IMPR] Move unlink.BaseUnlinkBot to specialbots.py

https://gerrit.wikimedia.org/r/359985

Dalba updated the task description. (Show Details)Aug 20 2017, 4:59 PM

Change 359985 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Move unlink.BaseUnlinkBot to specialbots.py

https://gerrit.wikimedia.org/r/359985

Dalba closed this task as Resolved.Aug 21 2017, 1:55 AM